package com.sw.mes.mcs.service;

import com.sw.mes.core.dto.CooperateDataInfoDto;
import com.sw.mes.core.dto.UploadFbMatchComposeInfoDto;
import com.sw.mes.core.response.Result;
import com.sw.mes.mcs.dto.*;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Author: GaoXinJian
 * @Date: 2022-01-14 10:56
 */
public interface McsToMesService {



    /**
     * 方棒尺寸数据上传接口
     * <p>
     * 检测完成后MCS将方棒检测结果数据上传MES
     *
     * @param fbSizeInfoDto
     * @return
     */
    Result fbSizeInfo(FbSizeInfoDto fbSizeInfoDto);

    /**
     * 方棒外观检测数据上传接口
     * <p>
     * 检测完成后MCS将方棒检测结果数据上传MES
     *
     * @param fbAppearanceCheckResultDto
     * @return
     */
    Result fbAppearanceCheckResult(FbAppearanceCheckResultDto fbAppearanceCheckResultDto);

    /**
     * 托盘绑定、解绑接口
     * <p>
     * MCS在若干个回流点增加对射传感器检测托盘是否有圆棒/方棒；如没有方棒将托盘解绑信息上传MES
     *
     * @param rfId
     * @param sectionNo
     * @return
     */
    Result fbAppearanceCheckResult(@RequestParam String rfId, @RequestParam String sectionNo);

    Result fbWeightResult(FbWeightDto fbWeightDto);

    Result cooperateDataInfo(CooperateDataInfoDto cooperateDataInfoDto);

    Result uploadFbSpellComposeInfo(UploadFbMatchComposeInfoDto uploadFbMatchComposeInfoDto);

    Result findByCooperateNo(CooperateDataInfoDto cooperateDataInfoDto);
}
